Subject: RE: Perl/Tk with patches no long compiles with CygWin v1.3.1
From: Neil Lunn <[email-masked]>
To: "'Victor M. Esquivel'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Fri, 27 Apr 2001 12:04:51 +1000

This is a known problem as the updated w32api has been moved out of /usr/lib
and /usr/include and placed   into respective w32api subdirectories.

Chris has reposted updated releases of gcc and binutils to compensate.
However there still appears to be some instances where this path doesn't get
searched. So again as dual compensation I would suggest making an alteration
to Config.pm in your perl installation and change the line:

libpth='/usr/local/lib /usr/lib /lib'
libpth='/usr/local/lib /usr/lib/w32api /usr/lib /lib'

In the current perl distribution for cygwin, Config.pm is located at
/usr/lib/perl5/5.6.1/cygwin.

This should ensure that all perl generated makefiles are searching this
directory by default. There is and should be no reason to submit any
additional changes to the existing patch for the  Tk800.022 distribution.

Your gcc and binutils should be the following versions, which may or may not
be available on all mirrors  yet.

gcc 2.95.3-4
binutils 20010425-1

See the Reference in the archives
http://sources.redhat.com/ml/cygwin/2001-04/msg01600.html

Neil

> -----Original Message-----
> From: Victor M. Esquivel [mailto:[email-masked]]
> Sent: Friday, April 27, 2001 10:20 AM
> To: [email-masked]
> Cc: Victor M. Esquivel
> Subject: Perl/Tk with patches no long compiles with CygWin v1.3.1
> 
> 
> Hi Neil,
> 
> Thanks for combining the Perl/Tk patches into one.  I tried using your
> patch (as well as the original two patches - two different compile
> attempts) to compile Perl/Tk v8.00.022 with the latest CygWin 
> v1.3.1 (all
> the latest files as of 4/26/01).  Unfortunately, I could not compile
> Perl/Tk with CygWin v1.3.1.
> 
> Could you take a look at CygWin v1.3.1 and see what got broke?  If you
> figure it out, can you post the patch to [email-masked]?
> 
> Thanks for your time,
> 
> -victor
> 
> -- 
> /---------------------------\ /----------------------------------\
> |     Victor M. Esquivel     | NetworkCare Professional Services |
> | Network Systems Consultant |   2377 Gold Meadow Way, Suit 230  |
> |    [email-masked]    |        Gold River, CA 95670       |
> |    (916) 859-5200 x338     |         FAX (916) 859-5201        |
> \---------------------------/ \----------------------------------/
>  \           Disclaimer: Standard disclaimer applies.           /
>   \------------------------------------------------------------/
> 

__________________________________________________________________________
Please Note :
Only  the intended recipient is authorised to access or use this e-mail.  If
you are not the intended recipient,
please delete this e-mail and notify the sender immediately.   The contents
of this e-mail are the writer's 
opinion and are not necessarily endorsed by the Gunz Companies unless
expressly stated.

We use virus scanning software but exclude all liability for viruses or
similar in any attachment.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple